<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package angularity
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<section class="error-404 not-found">
				<header class="page-header">
					<h1 class="page-title"><?php _e( 'Oops! That page can&rsquo;t be found.', 'angularity' ); ?></h1>
				</header><!-- .page-header -->

				<div class="page-content">
<p style="text-align:center; font-size:400%;line-height:1;margin-bottom:16px;color:red;"><?php _e( '<i class="fa fa-exclamation-triangle"></i>', 'angularity' ); ?></p>

					<p style="text-align:center;"><?php _e( 'It looks like nothing was found at this location.<br> Maybe try one of the links below or a search?', 'angularity' ); ?></p>

					<?php get_search_form(); ?>
					<br>

					<?php the_widget( 'WP_Widget_Recent_Posts' ); ?>

					<?php if ( angularity_categorized_blog() ) : // Only show the widget if site has multiple categories. ?>
					<div class="widget widget_categories">
						<h2 class="widgettitle"><?php _e( 'Most Used Categories', 'angularity' ); ?></h2>
						<ul>
						<?php
							wp_list_categories( array(
								'orderby'    => 'count',
								'order'      => 'DESC',
								'show_count' => 1,
								'title_li'   => '',
								'number'     => 10,
							) );
						?>
						</ul>
					</div><!-- .widget -->
					<?php endif; ?>

					<?php
					/* translators: %1$s: smiley */
					$archive_content = '<p>' . sprintf( __( 'Try looking in the monthly archives. %1$s', 'angularity' ), convert_smilies( ':)' ) ) . '</p>';
					the_widget( 'WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$archive_content" );
					?>

					<?php the_widget( 'WP_Widget_Tag_Cloud' ); ?>

				</div><!-- .page-content -->
			</section><!-- .error-404 -->

		</main><!-- #main -->
	</div><!-- #primary -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>