<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package angularity
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
<?php do_action('customizations'); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<header id="masthead" class="site-header" role="banner">
		<?php 
    $header_image = get_header_image();
    if ( ! empty( $header_image ) ) { 
        $headerstyle = "background:url(" . get_header_image() . ") no-repeat scroll top; background-size:cover;";
    }
    elseif ( empty( $header_image ) ) {
    	$headerstyle = "background:url(none) ;";
    }
?>
		<div class="site-branding" style="<?php echo $headerstyle; ?>">
		<div class="site-width clear">	


<div class="site-branding-wrapper clear">

<?php if ( get_theme_mod( 'site_title_image' ) ) : ?>
		<h1 class="site-title" style="display:none;"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" ><?php bloginfo( 'name' ); ?></a></h1>
		<div class='site-logo'>
		<a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home' >
		<img src='<?php echo esc_url( get_theme_mod( 'site_title_image' ) ); ?>' alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'>
		</a>  </div> <!-- /site-logo -->
<?php else : ?>	
		<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" ><?php bloginfo( 'name' ); ?></a></h1>			
<?php endif; ?>

		<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2></div> <!-- site-branding-wrapper --></div>  <!-- /site-width -->

</div>  <!-- /site-branding -->

		<div class="full-page-nav-bar clear">	<div class="site-width menu-decoration-wrapper"><div class="menu-decoration"><nav id="site-navigation" class="main-navigation" role="navigation">
			<h1 class="menu-toggle"><?php _e( '<i class="fa fa-bars"></i>&nbsp;MENU', 'angularity' ); ?></h1>
			<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'angularity' ); ?></a>

			<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
		</nav><!-- #site-navigation --></div>  <!-- / menu-decoration--> </div>  <!-- /site-width --> </div>  <!-- /full-page-nav-bar -->

	</header><!-- #masthead -->

<div class="site-width">
	<div id="content" class="site-content">
