/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {
	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );


	//Update Header Text color...
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( newval ) {
			$('.site-description').css('color', newval );
		
		} );
	} );

//Update Accent color...
	wp.customize( 'accent_color', function( value ) {
		value.bind( function( newval ) {
			$('.full-page-nav-bar, .widgetangle, .postangle').css('background-color', newval );
		
		} );
	} );

//Update Body Text color...
	wp.customize( 'text_color', function( value ) {
		value.bind( function( newval ) {
			$('body, button, input, select, textarea,  .widget ul a, .widget ul a:visited, .socialbuttons a, .socialbuttons a:visited, #back-top a,  #back-top a:visited, #back-top .fa-chevron-circle-up, .page-title, .entry-meta a').css('color', newval );
			
			
		} );
	} );


 //Update Site Title color...
	wp.customize( 'site_title_color', function( value ) {
		value.bind( function( newval ) {
			$('.site-title a').css('color', newval );
			
			
		} );
	} );

 //Update Page Title color ...
	wp.customize( 'entry_title_color', function( value ) {
		value.bind( function( newval ) {
			$('.entry-title, .entry-title a, .entry-title a:visited ').css('color', newval );
			
			
		} );
	} );


 //Update Links color ...
	wp.customize( 'links_color', function( value ) {
		value.bind( function( newval ) {
			$('a, a:visited').css('color', newval );
			
			
		} );
	} );




 //Update Page Title Size ...
	wp.customize( 'page_title_size', function( value ) {
		value.bind( function( newval ) {
			$('.entry-title, entry-title a, .entry-title a:visited').css( 'font-size', newval );
			
			
		} );
	} );

 //Update Page Title Weight ...
	wp.customize( 'page_title_weight', function( value ) {
		value.bind( function( newval ) {
			$('.entry-title, entry-title a, .entry-title a:visited').css( 'font-weight', newval );
			
			
		} );
	} );



 //Update Body Font Size ...
	wp.customize( 'body_font_size', function( value ) {
		value.bind( function( newval ) {
			$('body, button, input, select, textarea, .page-title').css( 'font-size', newval );
			
			
		} );
	} );


 //Update Site Title Size ...
	wp.customize( 'site_title_size', function( value ) {
		value.bind( function( newval ) {
			$('.site-title a').css( 'font-size', newval );
			
			
		} );
	} );


 //Update Site Title Weight ...
	wp.customize( 'site_title_weight', function( value ) {
		value.bind( function( newval ) {
			$('.site-title a').css( 'font-weight', newval );
			
			
		} );
	} );



 //Update Image Border ...
	wp.customize( 'image_border', function( value ) {
		value.bind( function( newval ) {
			$('.entry-content img').css( 'border-width', newval );
			
			
		} );
	} );


 //Update Image Border ...
	wp.customize( 'rounded_image_corners', function( value ) {
		value.bind( function( newval ) {
			$('.entry-content img').css( '-webkit-border-radius', newval );
			$('.entry-content img').css( 'border-radius', newval );
			
		} );
	} );






} )( jQuery );
